#version 330 core

uniform sampler2D originalTexture;
uniform sampler2D blurTexture;

out vec3 color;

in vec2 UV;

void main() {
  vec3 originalColor = texture2D( originalTexture, UV ).rgb;
  vec3 blur = texture2D( blurTexture, UV ).rgb;

  color = originalColor + blur;
}