uniform sampler2D blurTex;

in vec2 UV;

void main(void)
{
  // initial value
  vec4 outp = vec4(0.0, 0.0, 0.0, 0.0);
  
  // the blur displacement
  float ddx = 0.01;
 
  outp += 0.061 * texture2D(blurTex, UV + vec2(ddx*-2.0, 0.0) );
  outp += 0.242 * texture2D(blurTex, UV + vec2(ddx*-1.0, 0.0) );
  
  // center value
  outp += 0.383 * texture2D(blurTex, UV);
  
  // ddx * 1.0
  outp += 0.242 * texture2D(blurTex, UV + vec2(ddx, 0.0) );
  outp += 0.061 * texture2D(blurTex, UV + vec2(ddx*2.0, 0.0) );

  gl_FragColor = outp;
}