uniform sampler2D blurTex;

in vec2 UV;

void main(void)
{
  // initial value
  vec4 outp = vec4(0.0, 0.0, 0.0, 0.0);
  
  // the blur displacement
  float ddy = 0.01;
 
  outp += 0.061 * texture2D(blurTex, UV + vec2(0.0, ddy*-2.0) );
  outp += 0.242 * texture2D(blurTex, UV + vec2(0.0, ddy*-1.0) );
  
  // center value
  outp += 0.383 * texture2D(blurTex, UV);
  
  // ddy * 1.0
  outp += 0.242 * texture2D(blurTex, UV + vec2(0.0, ddy) );
  outp += 0.061 * texture2D(blurTex, UV + vec2(0.0, ddy*2.0) );

  gl_FragColor =  outp;
}